﻿@model Contabilidad.Site.Models.PurchaseInvoice.PurchaseInvoiceDetailCreateViewModel

<div class="x_panel" id="Detail[@Model.Index]">
    <div class="x_title">
        <h2>Detalle</h2>
        <div class="clearfix"></div>
    </div>
    <div class="x_content">

        <label for="Details[@Model.Index].@nameof(Model.IdProduct)">@Html.DisplayNameFor(Model => Model.IdProduct)</label>
        <div class="form-group">
            <div class="form-line">
                <select name="Details[@Model.Index].@nameof(Model.IdProduct)" class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.Products)" data-live-search="true" asp-items="@(new SelectList(Model.Products,"Id","Value"))"></select>
            </div>
            <ul class="parsley-errors-list filled">
                <li>
                    <span validation-for="Details[@Model.Index].@nameof(Model.IdProduct)"></span>
                </li>
            </ul>
        </div>

        <label for="Details[@Model.Index].@nameof(Model.UnitPrice)">@Html.DisplayNameFor(Model => Model.UnitPrice)</label>
        <div class="form-group">
            <div class="form-line">
                <input name="Details[@Model.Index].@nameof(Model.UnitPrice)" class="form-control" />
            </div>
            <ul class="parsley-errors-list filled">
                <li>
                    <span validation-for="Details[@Model.Index].@nameof(Model.UnitPrice)"></span>
                </li>
            </ul>
        </div>

        <label for="Details[@Model.Index].@nameof(Model.Quantity)">@Html.DisplayNameFor(Model => Model.Quantity)</label>
        <div class="form-group">
            <div class="form-line">
                <input name="Details[@Model.Index].@nameof(Model.Quantity)" class="form-control" />
            </div>
            <ul class="parsley-errors-list filled">
                <li>
                    <span validation-for="Details[@Model.Index].@nameof(Model.Quantity)"></span>
                </li>
            </ul>
        </div>
    </div>
    <input type="hidden" name="Details[@Model.Index].IsDeleted" for="Details[@Model.Index].IsDeleted"/>
    <a id="DeleteDetail[@Model.Index]" class="btn btn-secondary waves-effect" onclick="DeleteDetail('Details[@Model.Index].IsDeleted');">@Contabilidad.Resources.CommonResources.Delete</a>
</div>